org.apache.log4j.chainsaw

## Interface EventBatchListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    LogPanel

      public interface EventBatchListener
      extends EventListener

  Implementations of this interface like to be notified of arriving batches of LoggingEvents, but may only be interested in those coming from a particular source
  Author:
    Paul Smith <psmith@apache.org>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInterestedIdentifier()` Returns the string representing the identifier that this instance is only interested in, or null if this instance is interested in ALL events from any identifier
    `void` | `receiveEventBatch(String identifier, List events)` Implementations receive a list of LoggingEvent instances only if they are interested, that is, if the source of the eventBatch matches this instances interested identifier

- - ### Method Detail

    - #### getInterestedIdentifier

          String getInterestedIdentifier()

      Returns the string representing the identifier that this instance is only interested in, or null if this instance is interested in ALL events from any identifier
      Returns:
        String identifier of the interested source

    - #### receiveEventBatch

          void receiveEventBatch(String identifier,
                                 List events)

      Implementations receive a list of LoggingEvent instances only if they are interested, that is, if the source of the eventBatch matches this instances interested identifier
      Parameters:
        `events` - List of LoggingEvent instances
        `identifier` - the identifier this list of LoggingEvents is associated with

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.